Get service barring detail
PATH PARAMETERS
Service type indicator
Service identifier whose barring will be updated
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
OK Successfully getting barring detail
{
"subscriptionId": 234234234,
"appliedBarringsMaskCodes": [
"DEBT_MOBILE_LP"
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
subscriptionId
*
| integer (int64) | Code string for subscription id | ||
appliedBarringsMaskCodes
*
| string[] | applied barrings for subscription id |
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
curl -X GET 'https://partners.sta.masstack.com/v2/mobile/612123456/barrings' \
-H 'Request-Correlation-Id: string' \
-H 'Accept: application/json' Update service barring
PATH PARAMETERS
Service type indicator
Service identifier whose barring will be updated
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
Contain barring to be updated, the value to be set and the callbacks to be used
{
"callback_success_url": "https://myserver.com/send/callback/here",
"callback_error_url": "https://myserver.com/send/callback/here",
"active": true,
"barring_name": "ROAMING"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
callback_success_url
*
| string (uri) | |||
callback_error_url
*
| string (uri) | |||
active
*
| boolean | |||
barring_name
*
| string
()
ROAMINGINTERNATIONAL_DESTINATIONSOUTGOING_VOICEOUTGOING_SMSINCOMING_VOICEINCOMING_SMSINTERNETVOICE_PREMIUM_ENTERTAINMENTVOICE_PREMIUM_INFORMATIONSMS_PREMIUMSUBSCRIPTION_PREMIUM | Name of the barring to be updated |
Accepted The operation request was successfully accepted, returned the request external reference identifier
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Request-Correlation-IdstringWorkflow Id (unique identifier)
curl -X PATCH 'https://partners.sta.masstack.com/v2/mobile/612123456/barrings' \
-H 'Request-Correlation-Id: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"callback_success_url": "https://myserver.com/send/callback/here",
"callback_error_url": "https://myserver.com/send/callback/here",
"active": true,
"barring_name": "ROAMING"
}' Create movement for non subscribable services
PATH PARAMETERS
Service type indicator
Service identifier for movement creation
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
Contains movement information to be created
{
"type": "RECURRING_CHARGE",
"movement_datetime": "2022-02-24T13:45:10Z",
"period_start_datetime": "2022-01-31T23:00:00Z",
"period_end_datetime": "2022-02-28T23:00:00Z",
"amount": {
"value_with_taxes": 12.1,
"value_without_taxes": 10,
"tax": {
"type": "IVA",
"percentage": 21
}
},
"external_invoice_id": "123456789",
"external_movement_unique_id": "123456789",
"transaction_type_id": "5432167890",
"description": "February invoice"
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
type
*
| string
()
RECURRING_CHARGEONE_TIME_FEEINSTALLATION_FEESUSPENSION_SERVICE_FEEUNRETURNED_EQUIPMENT_FEEDISCOUNT | |||||||||||||||||||||||||||||||||||||||||||
movement_datetime
*
| string (date-time) | |||||||||||||||||||||||||||||||||||||||||||
period_start_datetime | string (date-time) | Mandatory just if period_end_datetime is set | ||||||||||||||||||||||||||||||||||||||||||
period_end_datetime | string (date-time) | Mandatory just if period_start_datetime is set | ||||||||||||||||||||||||||||||||||||||||||
amount
*
| object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
external_invoice_id | string | this field is informative. We are not doing any further processing apart from persisting it | ||||||||||||||||||||||||||||||||||||||||||
external_movement_unique_id | string | |||||||||||||||||||||||||||||||||||||||||||
transaction_type_id
*
| string | |||||||||||||||||||||||||||||||||||||||||||
description | string | |||||||||||||||||||||||||||||||||||||||||||
Created Successfully created the operation request, returned the result
{
"code": "CREATED",
"title": "Movement created correctly",
"movement_id": "8da2b117-ef72-413d-98ce-36d1eb544e44"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code string for fast identification | ||
title
*
| string | Message description | ||
movement_id
*
| string | Identifier of the created movement |
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Found Not found
{
"code": "NOT_FOUND",
"title": "Msisdn not found: 100000000"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
curl -X POST 'https://partners.sta.masstack.com/v2/mobile/612123456/billing/movements-non-subscribable-services' \
-H 'Request-Correlation-Id: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"type": "RECURRING_CHARGE",
"movement_datetime": "2022-02-24T13:45:10Z",
"period_start_datetime": "2022-01-31T23:00:00Z",
"period_end_datetime": "2022-02-28T23:00:00Z",
"amount": {
"value_with_taxes": 12.1,
"value_without_taxes": 10,
"tax": {
"type": "IVA",
"percentage": 21
}
},
"external_invoice_id": "123456789",
"external_movement_unique_id": "123456789",
"transaction_type_id": "5432167890",
"description": "February invoice"
}' Update movement for non subscribable services
PATH PARAMETERS
Service type indicator
Service identifier for movement update
Movement to be updated identifier
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
Contains movement information to be updated
{
"type": "RECURRING_CHARGE",
"movement_datetime": "2022-02-24T13:45:10Z",
"period_start_datetime": "2022-01-31T23:00:00Z",
"period_end_datetime": "2022-02-28T23:00:00Z",
"amount": {
"value_with_taxes": 12.1,
"value_without_taxes": 10,
"tax": {
"type": "IVA",
"percentage": 21
}
},
"external_invoice_id": "123456789",
"external_movement_unique_id": "123456789",
"transaction_type_id": "5432167890",
"description": "February invoice"
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
type
*
| string
()
RECURRING_CHARGEONE_TIME_FEEINSTALLATION_FEESUSPENSION_SERVICE_FEEUNRETURNED_EQUIPMENT_FEEDISCOUNT | |||||||||||||||||||||||||||||||||||||||||||
movement_datetime
*
| string (date-time) | |||||||||||||||||||||||||||||||||||||||||||
period_start_datetime | string (date-time) | Mandatory just if period_end_datetime is set | ||||||||||||||||||||||||||||||||||||||||||
period_end_datetime | string (date-time) | Mandatory just if period_start_datetime is set | ||||||||||||||||||||||||||||||||||||||||||
amount
*
| object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
external_invoice_id | string | this field is informative. We are not doing any further processing apart from persisting it | ||||||||||||||||||||||||||||||||||||||||||
external_movement_unique_id | string | |||||||||||||||||||||||||||||||||||||||||||
transaction_type_id
*
| string | |||||||||||||||||||||||||||||||||||||||||||
description | string | |||||||||||||||||||||||||||||||||||||||||||
OK Successfully updated the movement.
{
"code": "CREATED",
"title": "Movement updated correctly"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code string for fast identification | ||
title
*
| string | Message description |
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Found Not found
{
"code": "NOT_FOUND",
"title": "Msisdn not found: 100000000"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
curl -X PUT 'https://partners.sta.masstack.com/v2/mobile/612123456/billing/movements-non-subscribable-services/4d9d437f-ef3b-41e7-b474-067b1917cc4e' \
-H 'Request-Correlation-Id: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"type": "RECURRING_CHARGE",
"movement_datetime": "2022-02-24T13:45:10Z",
"period_start_datetime": "2022-01-31T23:00:00Z",
"period_end_datetime": "2022-02-28T23:00:00Z",
"amount": {
"value_with_taxes": 12.1,
"value_without_taxes": 10,
"tax": {
"type": "IVA",
"percentage": 21
}
},
"external_invoice_id": "123456789",
"external_movement_unique_id": "123456789",
"transaction_type_id": "5432167890",
"description": "February invoice"
}' Delete movement for non subscribable services
PATH PARAMETERS
Service type indicator
Service identifier for the movement to be deleted
Movement to be updated identifier
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
OK Successfully deleted de movement resource
{
"code": "DELETED",
"title": "Movement deleted correctly"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code string for fast identification | ||
title
*
| string | Message description |
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Found Not found
{
"code": "NOT_FOUND",
"title": "Msisdn not found: 100000000"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
curl -X DELETE 'https://partners.sta.masstack.com/v2/mobile/612123456/billing/movements-non-subscribable-services/4d9d437f-ef3b-41e7-b474-067b1917cc4e' \
-H 'Request-Correlation-Id: string' \
-H 'Accept: application/json' Create refund for non subscribable services
PATH PARAMETERS
Service type indicator
Service identifier for refund creation
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
Contains refund information to be created
{
"refund_datetime": "2022-02-24T13:45:10Z",
"period_start_datetime": "2022-01-31T23:00:00Z",
"period_end_datetime": "2022-02-28T23:00:00Z",
"amount": {
"value_with_taxes": 12.1,
"value_without_taxes": 10,
"tax": {
"type": "IVA",
"percentage": 21
}
},
"external_invoice_id": "123456789",
"external_refund_unique_id": "123456789",
"transaction_type_id": "5432167890",
"movement_id": "5432167890",
"description": "February invoice"
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
refund_datetime
*
| string (date-time) | |||||||||||||||||||||||||||||||||||||||||||
period_start_datetime | string (date-time) | Mandatory just if period_end_datetime is set | ||||||||||||||||||||||||||||||||||||||||||
period_end_datetime | string (date-time) | Mandatory just if period_start_datetime is set | ||||||||||||||||||||||||||||||||||||||||||
amount
*
| object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
external_invoice_id | string | this field is informative. We are not doing any further processing apart from persisting it | ||||||||||||||||||||||||||||||||||||||||||
external_refund_unique_id | string | |||||||||||||||||||||||||||||||||||||||||||
transaction_type_id
*
| string | |||||||||||||||||||||||||||||||||||||||||||
movement_id
*
| string | |||||||||||||||||||||||||||||||||||||||||||
description | string | |||||||||||||||||||||||||||||||||||||||||||
Created Successfully accepted the operation request, returned the result
{
"code": "CREATED",
"title": "Refund created correctly",
"refund_id": "8da2b117-ef72-413d-98ce-36d1eb544e44"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code string for fast identification | ||
title | string | Message description | ||
refund_id
*
| string | Identifier of the created refund |
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Found Not found
{
"code": "NOT_FOUND",
"title": "Msisdn not found: 100000000"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
curl -X POST 'https://partners.sta.masstack.com/v2/mobile/612123456/billing/refund-non-subscribable-services' \
-H 'Request-Correlation-Id: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"refund_datetime": "2022-02-24T13:45:10Z",
"period_start_datetime": "2022-01-31T23:00:00Z",
"period_end_datetime": "2022-02-28T23:00:00Z",
"amount": {
"value_with_taxes": 12.1,
"value_without_taxes": 10,
"tax": {
"type": "IVA",
"percentage": 21
}
},
"external_invoice_id": "123456789",
"external_refund_unique_id": "123456789",
"transaction_type_id": "5432167890",
"movement_id": "5432167890",
"description": "February invoice"
}' Create movement for services
PATH PARAMETERS
Service type indicator
Service identifier for movement creation
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
Contains movement information to be created
{
"type": "RECURRING_CHARGE",
"movement_datetime": "2022-02-24T13:45:10Z",
"period_start_datetime": "2022-01-31T23:00:00Z",
"period_end_datetime": "2022-02-28T23:00:00Z",
"amount": {
"value_with_taxes": 12.1,
"value_without_taxes": 10,
"tax": {
"type": "IVA",
"percentage": 21
}
},
"external_invoice_id": "123456789",
"external_movement_unique_id": "123456789",
"billable": false,
"concept_id": "5432167890",
"campaign_id": "234",
"description": "February invoice"
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
type
*
| string
()
RECURRING_CHARGEONE_TIME_FEEINSTALLATION_FEESUSPENSION_SERVICE_FEEUNRETURNED_EQUIPMENT_FEEDISCOUNT | |||||||||||||||||||||||||||||||||||||||||||
movement_datetime
*
| string (date-time) | |||||||||||||||||||||||||||||||||||||||||||
period_start_datetime | string (date-time) | Mandatory just if period_end_datetime is set | ||||||||||||||||||||||||||||||||||||||||||
period_end_datetime | string (date-time) | Mandatory just if period_start_datetime is set | ||||||||||||||||||||||||||||||||||||||||||
amount
*
| object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
external_invoice_id | string | this field is informative. We are not doing any further processing apart from persisting it | ||||||||||||||||||||||||||||||||||||||||||
external_movement_unique_id
*
| string | |||||||||||||||||||||||||||||||||||||||||||
billable
*
| boolean | |||||||||||||||||||||||||||||||||||||||||||
concept_id | string | |||||||||||||||||||||||||||||||||||||||||||
campaign_id | string | promotion identifier. This field is only used for discount movement type | ||||||||||||||||||||||||||||||||||||||||||
description | string | |||||||||||||||||||||||||||||||||||||||||||
Created Successfully created the operation request, returned the result
{
"code": "CREATED",
"title": "Movement created correctly",
"movement_id": "8da2b117-ef72-413d-98ce-36d1eb544e44"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code string for fast identification | ||
title
*
| string | Message description | ||
movement_id
*
| string | Identifier of the created movement |
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Found Not found
{
"code": "NOT_FOUND",
"title": "Msisdn not found: 100000000"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
curl -X POST 'https://partners.sta.masstack.com/v2/mobile/612123456/billing/movements' \
-H 'Request-Correlation-Id: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"type": "RECURRING_CHARGE",
"movement_datetime": "2022-02-24T13:45:10Z",
"period_start_datetime": "2022-01-31T23:00:00Z",
"period_end_datetime": "2022-02-28T23:00:00Z",
"amount": {
"value_with_taxes": 12.1,
"value_without_taxes": 10,
"tax": {
"type": "IVA",
"percentage": 21
}
},
"external_invoice_id": "123456789",
"external_movement_unique_id": "123456789",
"billable": false,
"concept_id": "5432167890",
"campaign_id": "234",
"description": "February invoice"
}' Delete movement for services
PATH PARAMETERS
Service type indicator
Service identifier for the movement to be deleted
Movement to be updated identifier
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
OK Successfully deleted de movement resource
{
"code": "DELETED",
"title": "Movement deleted correctly"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code string for fast identification | ||
title
*
| string | Message description |
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Found Not found
{
"code": "NOT_FOUND",
"title": "Msisdn not found: 100000000"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
curl -X DELETE 'https://partners.sta.masstack.com/v2/mobile/612123456/billing/movements/4d9d437f-ef3b-41e7-b474-067b1917cc4e' \
-H 'Request-Correlation-Id: string' \
-H 'Accept: application/json' Create refund for services
PATH PARAMETERS
Service type indicator
Service identifier for refund creation
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
Contains refund information to be created
{
"refund_datetime": "2022-02-24T13:45:10Z",
"period_start_datetime": "2022-01-31T23:00:00Z",
"period_end_datetime": "2022-02-28T23:00:00Z",
"amount": {
"value_with_taxes": 12.1,
"value_without_taxes": 10,
"tax": {
"type": "IVA",
"percentage": 21
}
},
"external_invoice_id": "123456789",
"external_refund_unique_id": "123456789",
"billable": false,
"movement_id": "5432167890",
"description": "February invoice"
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
refund_datetime
*
| string (date-time) | |||||||||||||||||||||||||||||||||||||||||||
period_start_datetime | string (date-time) | Mandatory just if period_end_datetime is set | ||||||||||||||||||||||||||||||||||||||||||
period_end_datetime | string (date-time) | Mandatory just if period_start_datetime is set | ||||||||||||||||||||||||||||||||||||||||||
amount
*
| object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
external_invoice_id | string | this field is informative. We are not doing any further processing apart from persisting it | ||||||||||||||||||||||||||||||||||||||||||
external_refund_unique_id
*
| string | |||||||||||||||||||||||||||||||||||||||||||
billable
*
| boolean | |||||||||||||||||||||||||||||||||||||||||||
movement_id
*
| string | |||||||||||||||||||||||||||||||||||||||||||
description | string | |||||||||||||||||||||||||||||||||||||||||||
Created Successfully accepted the operation request, returned the result
{
"code": "CREATED",
"title": "Refund created correctly",
"refund_id": "8da2b117-ef72-413d-98ce-36d1eb544e44"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code string for fast identification | ||
title | string | Message description | ||
refund_id
*
| string | Identifier of the created refund |
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Found Not found
{
"code": "NOT_FOUND",
"title": "Msisdn not found: 100000000"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
curl -X POST 'https://partners.sta.masstack.com/v2/mobile/612123456/billing/refunds' \
-H 'Request-Correlation-Id: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"refund_datetime": "2022-02-24T13:45:10Z",
"period_start_datetime": "2022-01-31T23:00:00Z",
"period_end_datetime": "2022-02-28T23:00:00Z",
"amount": {
"value_with_taxes": 12.1,
"value_without_taxes": 10,
"tax": {
"type": "IVA",
"percentage": 21
}
},
"external_invoice_id": "123456789",
"external_refund_unique_id": "123456789",
"billable": false,
"movement_id": "5432167890",
"description": "February invoice"
}' Activate a new promotion for a service
PATH PARAMETERS
Service type indicator
Service identifier
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
Contain promotion information to be activated
{
"promotion": {
"promotion_id": 76,
"activation_date": "2017-09-15T22:00:00Z",
"deactivation_date": "2017-09-15T22:00:00Z"
}
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
promotion
*
| object | |||||||||||||||||||||||
| ||||||||||||||||||||||||
Created Successfully created the operation request, returned the result
{
"code": "CREATED",
"title": "Promotion created correctly",
"promotion_id": "8da2b117-ef72-413d-98ce-36d1eb544e44"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code string for fast identification | ||
title | string | Message description | ||
promotion_id
*
| string | Identifier of the created refund |
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Found Not found
{
"code": "NOT_FOUND",
"title": "Msisdn not found: 100000000"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
curl -X POST 'https://partners.sta.masstack.com/v2/mobile/612123456/promotions' \
-H 'Request-Correlation-Id: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"promotion": {
"promotion_id": 76,
"activation_date": "2017-09-15T22:00:00Z",
"deactivation_date": "2017-09-15T22:00:00Z"
}
}' Update a promotion for a service
PATH PARAMETERS
Service type indicator
Service identifier
Promotion identifier
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
Update an existing promotion
{
"deactivation_date": "2022-02-24T13:45:10Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
deactivation_date
*
| string (date-time) |
OK Successfully completed the operation request, returned the result
{
"code": "OK",
"title": "Promotion updated correctly"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Code string for fast identification | ||
title
*
| string | Message description |
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Found Not found
{
"code": "NOT_FOUND",
"title": "Msisdn not found: 100000000"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
curl -X PATCH 'https://partners.sta.masstack.com/v2/mobile/612123456/promotions/612123456' \
-H 'Request-Correlation-Id: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"deactivation_date": "2022-02-24T13:45:10Z"
}' New service creation
PATH PARAMETERS
Service type indicator
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
Create a new service
{
"callback_success_url": "https://myserver.com/send/callback/here",
"callback_error_url": "https://myserver.com/send/callback/here",
"service_id": "string",
"service_details": {}
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
callback_success_url
*
| string (uri) | ||||||||
callback_error_url
*
| string (uri) | ||||||||
service_id | string | ||||||||
service_details
*
| object | ||||||||
| |||||||||
Accepted Successfully accepted the operation request, returned the request external reference identifier
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Request-Correlation-IdstringWorkflow Id (unique identifier)
curl -X POST 'https://partners.sta.masstack.com/v2/applewatch/' \
-H 'Request-Correlation-Id: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"callback_success_url": "https://myserver.com/send/callback/here",
"callback_error_url": "https://myserver.com/send/callback/here",
"service_id": "string",
"service_details": {}
}' Update a Netflix service
PATH PARAMETERS
Service identifier whose device will be updated
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
Update an existing service
{
"offer_id": "define",
"plan_type": "define",
"transaction_id": "define"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
offer_id
*
| string | |||
plan_type
*
| string | |||
transaction_id
*
| string |
OK Successfully accepted the operation request, returned the request external reference identifier
{
"transaction_id": "define"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
transactionId | string |
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Request-Correlation-IdstringWorkflow Id (unique identifier)
curl -X PATCH 'https://partners.sta.masstack.com/v2/netflix/612123456' \
-H 'Request-Correlation-Id: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"offer_id": "define",
"plan_type": "define",
"transaction_id": "define"
}' Notify Simyo about a Netflix product change
PATH PARAMETERS
Service identifier whose device will be updated
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
Update an existing service
{
"pai": "string",
"netflixOfferId": "string",
"changeDate": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
pai | string | PAI | ||
netflixOfferId | string | netflixOfferId | ||
changeDate | string | changeDate |
OK Successfully accepted the operation request, returned the request external reference identifier
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Request-Correlation-IdstringWorkflow Id (unique identifier)
curl -X POST 'https://partners.sta.masstack.com/v2/netflix/612123456/simyo' \
-H 'Request-Correlation-Id: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"pai": "string",
"netflixOfferId": "string",
"changeDate": "string"
}' Update device for a service (e.g. eSIM, SIM ...)
PATH PARAMETERS
Service type indicator
Service identifier whose device will be updated
Device identifier to be updated
HEADER PARAMETERS
Correlation Id for tracing (unique identifier)
Update an existing service device
{
"callback_success_url": "https://myserver.com/send/callback/here",
"callback_error_url": "https://myserver.com/send/callback/here",
"category": "eSIM",
"new_service_device_details": {}
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
callback_success_url
*
| string (uri) | ||||||||
callback_error_url
*
| string (uri) | ||||||||
category
*
| string
()
STBSMARTWATCHTABLETROUTERPBXSMARTPHONEWIFI_EXTENDEROTHERSIMeSIM | ||||||||
new_service_device_details
*
| object | ||||||||
| |||||||||
Accepted Successfully accepted the operation request, returned the request external reference identifier
Bad Request Bad Request
{
"code": "BAD_REQUEST",
"title": "MISSING CALLBACK URL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Unauthorized Unauthorized request
{
"code": "UNAUTHORIZED_REQUEST",
"title": "Missing credentials"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Forbidden Forbidden resource
{
"code": "FORBIDDEN_RESOURCE",
"title": "Request forbidden by administrative rules"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Not Acceptable
{
"code": "DUPLICATE_WORKFLOW_ID",
"title": "Duplicate workflow id"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Internal Server Error Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Server is not working due to some error"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code
*
| string | Error code string for fast identification | ||
title
*
| string | Message description or detail of error |
Request-Correlation-IdstringWorkflow Id (unique identifier)
curl -X PATCH 'https://partners.sta.masstack.com/v2/mobile/612123456/devices/:device_id' \
-H 'Request-Correlation-Id: string' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"callback_success_url": "https://myserver.com/send/callback/here",
"callback_error_url": "https://myserver.com/send/callback/here",
"category": "eSIM",
"new_service_device_details": {}
}'